import { Repository } from "typeorm";
import { Complaint, ComplaintStatus } from "../../common/complaint/complaint.entity";
import { CreateComplaintDto, UpdateComplaintDto, UpdateComplaintStatusDto } from "./complaint.dto";
export declare class AdminComplaintService {
    private readonly complaintRepository;
    constructor(complaintRepository: Repository<Complaint>);
    create(createComplaintDto: CreateComplaintDto): Promise<Complaint>;
    findAll(page?: number, limit?: number, status?: ComplaintStatus): Promise<{
        items: Complaint[];
        total: number;
        page: number;
        limit: number;
    }>;
    findOne(id: number): Promise<Complaint>;
    update(id: number, updateComplaintDto: UpdateComplaintDto): Promise<Complaint>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, updateStatusDto: UpdateComplaintStatusDto): Promise<Complaint>;
}
